import request, { postBlob, getBlob, handleImport } from '@/utils/request'

//高德省市区街道
export function lbsAmapRegion(params) {
  return request({
    url: '/common/region/list',
    method: 'get',
    params
  })
}

export function commonCompanywechatGet(params) {
  return request({
    url: '/common/companywechat/get',
    method: 'post',
    params
  })
}


// 模板下载
export function commonTemplateDownload(params, name) {
  return getBlob({
    url: 'common/template/download',
    params,
    name
  })
}

export function getSystemList(params) {
  return request({
    url: '/sys/dict/list/page',
    method: 'get',
    params
  })
}

export function getExpress(params) {
  return request({
    url: '/common/express',
    method: 'get',
    params
  })
}

export function getCompanyList(params) {
  return request({
    url: '/common/express/company',
    method: 'get',
    params
  })
}

// 获取oss配置
export function getOssConfig(params) {
  return request({
    url: '/common/oss/config',
    method: 'get',
    params
  })
}